DRT Case Types API
The DRT Case Types API provides the list of available DRT court case types along with their corresponding bench names across different bench locations. It helps users retrieve and identify case types available for specific NCLAT benches efficiently.
Request URL
POST
https://g99.in/api/drt/casetypes
Request Body Parameters
| Type |
Name |
Optional |
Description |
| String |
benchId |
Required |
The unique identification number for bench. refer to DRT Benches API. |
Sample Code
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://g99.in/api/drt/casetypes',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS =>'{
"benchId": "12"
}',
CURLOPT_HTTPHEADER => array(
'Content-Type: application/json'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
import json
url = "https://g99.in/api/drt/casetypes"
payload = json.dumps({
"benchId": "12"
})
headers = {
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://g99.in/api/drt/casetypes");
var content = new StringContent("{\r\n \"benchId\": \"12\"\r\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Response
HTTP status code 200
| Key |
Type |
Description |
| caseTypeId |
String |
The unique identification number for case type. |
| caseTypeName |
String |
Name of case type. |
Sample Response
Sample response for valid document
[
{
"caseTypeId": "1",
"caseTypeName": "Transfer Petition(Company Act)"
},
{
"caseTypeId": "2",
"caseTypeName": "Company Petition(Company Act)"
}
]
Error Response
| Parameter |
Type |
Description |
| status |
Number |
Unique error codes for different errors. Always available. |
| message |
String |
Error message describing the error. Always Available. |
| error |
Boolean |
True / False for different errors. Always available. |
Error Codes
| HTTP Status |
Error Code |
Error Message |
| 503 |
503 |
Document processing service is currently unavailable. Please try again later. |
Sample Error Response
{
"message": "Document processing service is currently unavailable. Please try again later.",
"status": 503,
"error": True
}